Package Gnumed :: Package business :: Module gmDocuments |
[frames] | no frames]

# Module gmDocuments

source code

This module encapsulates a document stored in a GNUmed database.

Author: Karsten Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later

Classes
| cDocumentFolder Represents a folder with medical documents for a single patient.
| cDocumentPart Represents one part of a medical document.
| cDocument Represents one medical document.
| cDocumentType Represents a document type.

Functions
delete_document_part(part_pk=None, encounter_pk=None) | source code
create_document(document_type=None, encounter=None, episode=None) Returns new document instance or raises an exception. | source code
search_for_documents(patient_id=None, type_id=None, external_reference=None) Searches for documents with the given patient and type ID. | source code
delete_document(document_id=None, encounter_id=None) | source code
reclassify_documents_by_type(original_type=None, target_type=None) | source code
get_document_types() | source code
get_document_type_pk(document_type=None) | source code
create_document_type(document_type=None) | source code
delete_document_type(document_type=None) | source code
get_ext_ref() This needs *considerably* more smarts. | source code

Variables
| MUGSHOT = `26`
| DOCUMENT_TYPE_VISUAL_PROGRESS_NOTE = ``u'``visual progress note``'``
| DOCUMENT_TYPE_PRESCRIPTION = ``u'``prescription``'``
| __package__ = ``'``Gnumed.business``'``

Imports: sys, shutil, os, types, time, logging, gmExceptions, gmBusinessDBObject, gmPG2, gmTools, gmMimeLib, gmDateTime